/**
 * Base class for all clients to extend.
 */
export declare abstract class BaseAbstractClient {
    protected _isUpdated: boolean;
    constructor();
    /**
     * Indicates whether the client has been updated since it was created.
     * @returns Whether the client has been updated since it was created.
     */
    get isUpdated(): boolean;
    /**
     * Sets whether the client has been updated since it was created.
     * @param value Whether the client has been updated since it was created.
     * @throws Error if the client has already been updated and the value is false.
     */
    set isUpdated(value: boolean);
    /**
     * Asserts that the client has been updated.
     */
    protected assertUpdated(): void;
}
